package com.slugwars;

import com.badlogic.gdx.Game;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input.TextInputListener;

public class MyTextListener implements TextInputListener
{
    private MainGame game;
    private int count = 1;

    public MyTextListener(MainGame game){
        this.game = game;
    }

    @Override
    public void input(String text) {
        if(count == 1) {
            game.p1.setName(text);
            System.out.println("Nombre de Player 1: " + game.p1.getName());
        }
        else if(count == 2) {
            game.p2.setName(text);
            System.out.println("Nombre de Player 2: " + game.p2.getName());
        }
        count++;
    }
    public int getCount(){
        return count;
    }

    @Override
    public void canceled() {
        System.out.println("Exit");
    }
}
